### Name: estimate-methods
### Title: Estimating Statistics
### Aliases: estimate-methods estimate
###   estimate,character,CompactStratification,SamplingPatternRandomSamplin
###   gUnits,data.frame-method
###   estimate,character,CompactStratificationEqualArea,SamplingPatternRand
###   omComposite,data.frame-method
###   estimate,SamplingVariance,CompactStratification,SamplingPatternRandom
###   SamplingUnits,data.frame-method
###   estimate,SamplingVariance,CompactStratificationEqualArea,SamplingPatt
###   ernRandomComposite,data.frame-method
###   estimate,SpatialCumulativeDistributionFunction,CompactStratification,
###   SamplingPatternRandomSamplingUnits,data.frame-method
###   estimate,SpatialMean,CompactStratification,SamplingPatternRandomSampl
###   ingUnits,data.frame-method
###   estimate,SpatialMean,CompactStratificationEqualArea,SamplingPatternRa
###   ndomComposite,data.frame-method
###   estimate,SpatialVariance,CompactStratification,SamplingPatternRandomS
###   amplingUnits,data.frame-method
###   estimate,StandardError,CompactStratification,SamplingPatternRandomSam
###   plingUnits,data.frame-method
### Keywords: methods

### ** Examples

## Not run: 
##D 
##D # read vector representation of the "Mijdrecht" area (the Netherlands)
##D shp <- readOGR(dsn = system.file("maps", package = "spcosa"), layer = "mijdrecht")
##D 
##D # stratify  into 30 strata (set nTry to a lower value to speed-up computation)
##D myStratification <- stratify(shp, nStrata = 30, nTry = 10, verbose = TRUE)
##D 
##D # random sampling of two sampling units per stratum
##D mySamplingPattern <- spsample(myStratification, n = 2)
##D 
##D # plot sampling pattern
##D plot(myStratification, mySamplingPattern)
##D 
##D # simulate data (in real world cases these data have to be obtained by field work)
##D myData <- as(mySamplingPattern, "data.frame")
##D myData$observation <- rnorm(n = nrow(myData), mean = 10, sd = 1)
##D 
##D # design-based inference
##D estimate("spatial mean", myStratification, mySamplingPattern, myData["observation"])
##D estimate("sampling variance", myStratification, mySamplingPattern, myData["observation"])
##D estimate("standard error", myStratification, mySamplingPattern, myData["observation"])
##D estimate("spatial variance", myStratification, mySamplingPattern, myData["observation"])
##D estimate("scdf", myStratification, mySamplingPattern, myData["observation"])
##D 
## End(Not run)



